<template>
  <div class="main bg-black">
    <a-row>
      <a-col
          :span="10"
          style="text-align: left; margin-top: 20px; font-size: 1.2em"
      >
        <h1>Beat</h1>
      </a-col>
      <a-col
          :span="14"
          style="float: right; margin-top: 20px; text-align: right"
      >
        <a-button class="btn-play">PLAY</a-button>
        <a-button class="btn-get">GET</a-button>
      </a-col> </a-row
    ><br />
    <a-table  :columns="columns" :data-source="items">
      <span slot="play"><a-icon type="play-circle" theme="filled" class="visible-on-hover"/></span>
      <span slot="name" @click="play" slot-scope="name">{{ name }}</span>
      <span slot="artist" slot-scope="artist">{{ artist }}</span>
      <span slot="date" slot-scope="date">{{ date }}</span>
      <span slot="duration" slot-scope="duration">{{ duration }}</span>
    </a-table>
  </div>
</template>

<script>
const columns = [
  {
    title: '',
    dataIndex: 'play',
    scopedSlots: { customRender: 'play' },
  },
  {
    title: 'Name',
    dataIndex: 'name',
    scopedSlots: { customRender: 'name' },
  },
  {
    title: 'Artist',
    dataIndex: 'artist',
    scopedSlots: { customRender: 'artist' },

  },
  {
    title: 'Date',
    dataIndex: 'date',
    scopedSlots: { customRender: 'date' },

  },
  {
    title: 'Duration',
    dataIndex: 'duration',
    scopedSlots: { customRender: 'duration' },
  }
];
const items = [
  {
    id: 1,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 1
  },
  {
    id:2,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 2
  },{
    id: 3,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 3
  }
  ,{
    id: 4,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 4
  },
  {
    id: 5,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 5
  },
  {
    id: 6,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 6
  },{
    id: 7,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 7
  }
  ,{
    id: 8,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 8
  },
  {
    id: 9,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 9
  },
  {
    id: 10,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 10
  },{
    id: 11,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 11
  }
  ,{
    id: 12,
    name: "Despacito",
    artist: "Luis Fonsi",
    date: "2018/02/01",
    duration: "5:12",
    play: "luis_fonsi.mp3",
    key: 12
  }
]

export default {
  data() {
    return {
      items: items,
      columns: columns
    }
  },

  methods: {
    goBuy() {

    },
    play(){
      this.$store.dispatch("player/playMusic", {url: "luis_fonsi.mp3", title: "Despacito", artist: "Luis Fonsi", photo: "thumb.jpg"})
    }
  }
}

</script>


<style scoped>
@import "../../src/css/default.css";
.btn-play {
  background-color: #1db954;
  color: #fff;
  border-radius: 25px;
  border: unset;
  width: 100px;
  text-transform: uppercase;
  font-weight: 600;

}
.btn-play:hover {
  background-color: #1db954;
  color: #fff;
  opacity: 0.9;
  transition: 0.3s;
}
.btn-get {
  background-color: #fff;
  border-radius: 25px;
  border: unset;
  width: 100px;
  color: #000;
  text-transform: uppercase;
  font-weight: 600;
  margin-left: 25px;
}
.btn-get:hover {
  background-color: #fff;
  color: #000;
  opacity: 0.9;
  transition: 0.3s;
}
h1 {
  color: blue
}

.header-item{
  float: right;
  margin-top: 30px;
}

.header-item li {
  display: inline;
}

.header-item li:hover {
  cursor: pointer;
  background: chartreuse;
}

.play{
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 10px;
  background: #ffffff;
  color: black;
  font-weight: bold;
}

.get{
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 10px;
  background: #1db954;
  color: #fff;
  font-weight: bold;
}
.anticon-play-circle{
  font-size: 25px;
  cursor: pointer;
}

</style>